//
//  XCBActionType.swift
//  Tusker
//
//  Created by Shadowfacts on 9/23/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import Foundation

enum XCBActionType: String {
    // Statuses
    case showStatus
    case postStatus
    case getStatus
    case favoriteStatus
    case reblogStatus
    // Accounts
    case showAccount
    case getAccount
    case getCurrentUser
    case followUser
    // Search
    case search
    
    var path: String {
        return "/\(rawValue)"
    }
}
